## python-easygui 0.98.1

=== sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
HTMLBUILDDIR  = ../docs

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
  rm -rf $(HTMLBUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(HTMLBUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(HTMLBUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/easygui.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/easygui.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/easygui"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/easygui"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-easygui 0.96

=== debian/changelog ===
python-easygui (0.96-3) unstable; urgency=low

  [Adreas Noteng]
  * Enable jpeg and png graphics by adding Recommends: python-imaging-tk
    (LP: #774720)
  * Bump Standards-Version to 3.9.3
    -Update debian/copyright to machine readable copyright file version 1
  * Add missing python-tk/python3-tk dependency (LP: #818473)

  [Charlie Smotherman]
  * debian/rules
    - changed to dh $@ --with python2,python3
    - added rules to build python3 package
  * debian/control
    - increased min python version to (>=2.6.6-3)
    - changed XS-P-V to X-P-V >=2.5
    - removed ${python:Breaks}
    - wrapped text in Description
    - added python3-all (>= 3.1.2-6~) to B-D
    - increased debhelper to (>= 7.0.50~), because we use dh overrides.
    - added X-Python3-Version: >= 3.0.
    - added python3-easygui binary stanza.
    - removed myself from Uploaders.

 -- Andreas Noteng <andreas@noteng.no>  Sat, 28 Apr 2012 23:35:22 +0200

python-easygui (0.96-2) unstable; urgency=low

  * Team upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:48 +0200

python-easygui (0.96-1) unstable; urgency=low

  * Initial release (Closes: #586505)

 -- Andreas Noteng <andreas@noteng.no>  Thu, 14 Oct 2010 22:51:23 +0200

=== debian/control ===
Source: python-easygui
Section: python
Priority: optional
Maintainer: Andreas Noteng <andreas@noteng.no>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3),
               python3-all (>= 3.1.2-6~)
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.0
Homepage: http://easygui.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-easygui/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-easygui/trunk/

Package: python-easygui
Architecture: all
Depends: python-tk, ${misc:Depends}, ${python:Depends}
Recommends: python-imaging-tk
Description: module for very simple, very easy GUI programming in Python
 This package provides the Python modules EasyGUI. Experienced Pythonistas
 need support for quick and dirty GUI features. New Python programmers need
 GUI capabilities that don't require any knowledge of Tkinter, frames,
 widgets, callbacks or lambda. This is what EasyGUI provides. Using EasyGUI,
 all GUI interactions are invoked by simple function calls.

Package: python3-easygui
Architecture: all
Depends: python3-tk, ${misc:Depends}, ${python3:Depends}
Description: module for very simple, very easy GUI programming in Python3
 This package provides the Python3 modules EasyGUI. Experienced Pythonistas
 need support for quick and dirty GUI features. New Python programmers need
 GUI capabilities that don't require any knowledge of Tkinter, frames,
 widgets, callbacks or lambda. This is what EasyGUI provides. Using EasyGUI,
 all GUI interactions are invoked by simple function calls.

=== debian/rules ===
#!/usr/bin/make -f

PYVERS := $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	set -ex; \
	for py in $(PYVERS) $(PY3VERS); do \
		$$py setup.py build; \
	done

override_dh_auto_install:
	set -ex; \
	for py in $(PYVERS); do \
		$$py setup.py install --skip-build --root debian/python-easygui \
			--install-layout deb; \
	done
	set -ex; \
	for py in $(PY3VERS); do \
		$$py setup.py install --skip-build --root debian/python3-easygui \
			--install-layout deb; \
	done

override_dh_installdocs:
	cp easygui_pydoc.html easygui_py3doc.html
	cp easygui_version_info.html py3_easygui_version_info.html
	dh_installdocs

override_dh_auto_clean:
	rm -rf build *.egg.info
	rm -rf easygui_py3doc.html
	rm -rf py3_easygui_version_info.html
	dh_auto_clean

=== debian/watch ===
version=3
http://sf.net/easygui/easygui-([0-9.]+)\.tar\.gz

## python-easygui 0.98.1

=== debian/changelog ===
python-easygui (0.98.1-4) unstable; urgency=medium

  * Team upload.
  * Set Team as Maintainer per new Team Policy
  * Use dh-sequence-python3
  * Set Rules-Requires-Root: no
  * Clean better (Closes: #1046562)
  * Fix SyntaxWarning (Closes: #1085908)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 06 Dec 2024 20:46:46 +0100

python-easygui (0.98.1-3) unstable; urgency=medium

  * Team upload.
  * Patch: Support setuptools 60. (Closes: #1022443)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 09 Nov 2022 15:43:12 +0200

python-easygui (0.98.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Noteng ]
  * Successfully build with Python3 (Closes: #997777)
    - fix_py3_sphinx_build.patch
  * Bump Standards-Version to 4.6.0, no change needed
  * Bump compat-level to 13

 -- Andreas Noteng <andreas@noteng.no>  Tue, 02 Nov 2021 08:20:33 +0100

python-easygui (0.98.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * Remove versioned depends older than oldstable.
  * Enable autopkgtest-pkg-python testsuite.

  [ Andreas Noteng ]
  * New upstream release
  * Updated watch file to match upstream's move to github
  * Bump Standards-Version to 4.4.0
    - HTTPS Vcs-* headers
  * Updated copyright file with new upstream author
  * Add recommends: python3-pil.imagetk to allow for JPEGs in python3
  * Update Homepage: in debian/control and Source: in debian/copyright
  * Change to compat level 12 and new way of setting compat level
  * Drop python2 support
  * Use pybuild to build package

  [ Piotr Ożarowski ]
  * Add dh-python to Build-Depends

 -- Andreas Noteng <andreas@noteng.no>  Mon, 12 Aug 2019 13:04:43 +0200

=== debian/control ===
Source: python-easygui
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Noteng <andreas@noteng.no>,
Build-Depends: debhelper (>= 13.5.2),
               debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-tk
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/robertlugg/easygui
Vcs-Git: https://salsa.debian.org/python-team/packages/python-easygui.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-easygui
Testsuite: autopkgtest-pkg-python

Package: python3-easygui
Architecture: all
Depends: python3-tk, ${misc:Depends}, ${python3:Depends}
Recommends: python3-pil.imagetk
Description: module for very simple, very easy GUI programming in Python3
 This package provides the Python3 modules EasyGUI. Experienced Pythonistas
 need support for quick and dirty GUI features. New Python programmers need
 GUI capabilities that don't require any knowledge of Tkinter, frames,
 widgets, callbacks or lambda. This is what EasyGUI provides. Using EasyGUI,
 all GUI interactions are invoked by simple function calls.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=easygui

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_install
	make -C sphinx man

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com/robertlugg/easygui/tags .*/v?(\d\S*)\.tar\.gz
